summaryrefslogtreecommitdiff
path: root/testprogs
diff options
context:
space:
mode:
authorAndreas Schneider <asn@samba.org>2022-06-13 15:55:25 +0200
committerPavel Filipensky <pfilipensky@samba.org>2022-08-22 20:35:36 +0000
commit1e4ea99e5ff0332e1409d7c1789fa92fd00d0818 (patch)
treef7750f1aee62a3560d9860607b73908f301f57e2 /testprogs
parent391d0cf667d9e58aa7539e26ec991870d92a598d (diff)
downloadsamba-1e4ea99e5ff0332e1409d7c1789fa92fd00d0818.tar.gz
testprogs: Fix shellcheck errors in test_kinit_trusts_mit.sh
testprogs/blackbox/test_kinit_trusts_mit.sh:55:63: error: Double quote array expansions to avoid re-splitting elements. [SC2068] testprogs/blackbox/test_kinit_trusts_mit.sh:109:106: error: Double quote array expansions to avoid re-splitting elements. [SC2068] Signed-off-by: Andreas Schneider <asn@samba.org> Reviewed-by: Pavel Filipenský <pfilipensky@samba.org>
Diffstat (limited to 'testprogs')
-rwxr-xr-xtestprogs/blackbox/test_kinit_trusts_mit.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/testprogs/blackbox/test_kinit_trusts_mit.sh b/testprogs/blackbox/test_kinit_trusts_mit.sh
index 35fcb6d1c53..27ed89861cb 100755
--- a/testprogs/blackbox/test_kinit_trusts_mit.sh
+++ b/testprogs/blackbox/test_kinit_trusts_mit.sh
@@ -52,7 +52,7 @@ test_smbclient()
shift
shift
echo "test: $name"
- $VALGRIND $smbclient $CONFIGURATION $SMBCLIENT_UNC -c "$cmd" $@
+ $VALGRIND $smbclient $CONFIGURATION $SMBCLIENT_UNC -c "$cmd" "$@"
status=$?
if [ x$status = x0 ]; then
echo "success: $name"
@@ -106,7 +106,7 @@ test_smbclient "Test login with kerberos ccache" 'ls' --use-krb5-ccache=$KRB5CCN
testit "kinit renew ticket" $samba_kinit -R
test_smbclient "Test login with kerberos ccache" 'ls' --use-krb5-ccache=$KRB5CCNAME || failed=$(expr $failed + 1)
-testit "check time with kerberos ccache" $VALGRIND $samba_tool time $SERVER.$REALM $CONFIGURATION -k yes $@ || failed=$(expr $failed + 1)
+testit "check time with kerberos ccache" $VALGRIND $samba_tool time $SERVER.$REALM $CONFIGURATION -k yes "$@" || failed=$(expr $failed + 1)
$samba_kdestroy